package com.cultural.heritage.model.dto.category;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

@Data
@Schema(description = "商品类别添加请求体", requiredProperties = {"typeName", "typeUrl", "typeIntro"})
public class CategoryAddRequest implements Serializable {

    /**
     * 类别名称
     */
    @Schema(description = "商品类别名", example = "材料包")
    private String typeName;

    /**
     * 类别图片
     */
    @Schema(description = "商品图片地址", example = "https://xxx/xxx.jpg")
    private String typeUrl;



    @Serial
    private static final long serialVersionUID = 1L;
}
