package com.cultural.heritage.model.dto.order;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

@Data
@Schema(description = "购买单个常规类商品校验请求体", requiredProperties = {"goodId", "quantity"})
public class BuySingleGoodVerifyRequest implements Serializable {

    /**
     * 商品id
     */
    @Schema(description = "商品id", example = "2")
    private Long goodId;


    /**
     * 商品数量
     */
    @Schema(description = "商品数量", example = "10")
    private Integer quantity;


    @Serial
    private static final long serialVersionUID = 1L;
}
