package com.cultural.heritage.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 服务类商品预约时间段表
 * @TableName   time_period
 */
@Data
@TableName("time_period")
public class TimePeriod implements Serializable {


    /**
     * 预约时间段id
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 时间段
     */
    private String timeSlot;


    /**
     * 最小预约人数
     */
    private Integer minNumber;


    /**
     * 最大预约人数
     */
    private Integer maxNumber;


    /**
     * 预约日期id
     */
    private Long appointmentDateId;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;


    @Serial
    private static final long serialVersionUID = 1L;
}
