package com.cultural.heritage.service.book;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.IService;
import com.cultural.heritage.model.dto.advanceOrder.AdvanceOrderQueryRequest;
import com.cultural.heritage.model.entity.AdvanceOrder;

public interface AdvanceOrderService extends IService<AdvanceOrder> {

    /**
     * 校验
     */
    void validAdvanceOrder(AdvanceOrder advanceOrder);


    /**
     * 获取查询条件
     */
    QueryWrapper<AdvanceOrder> getQueryWrapper(AdvanceOrderQueryRequest advanceOrderQueryRequest);


    /**
     * 向消息队列中发送订单创建的消息
     */
    void sendAdvanceOrderMessage(Long orderId);


    /**
     * 校验当前订单时间是否被预约过
     */
    void validBookingTime(String specificDate, String timePoint);
}
